### R code from vignette source 'argparse.Rnw'

###################################################
### code chunk number 1: argparse.Rnw:10-15
###################################################
Rscript_executable <- file.path(R.home(), "bin", "Rscript")
setwd(system.file("exec", package="argparse")) # to access the "Rscript files"
list_file_command <- "ls"
chmod_command <- "chmod ug+x display_file.R example.R"
path_command <- "export PATH=$PATH:`pwd`"


###################################################
### code chunk number 2: argparse.Rnw:21-23
###################################################
cat(system(sprintf("%s", list_file_command), intern=TRUE), sep="\n")
command <- "display_file.R example.R" # to show file


###################################################
### code chunk number 3: argparse.Rnw:37-38
###################################################
cat(system(sprintf("%s %s 2>&1", Rscript_executable, command),  intern=TRUE), sep="\n")   


###################################################
### code chunk number 4: argparse.Rnw:42-43
###################################################
command <- "example.R --help" # same as system("Rscript example.R -h")


###################################################
### code chunk number 5: argparse.Rnw:49-51
###################################################
cat(system(sprintf("%s %s 2>&1", Rscript_executable, command),  intern=TRUE), sep="\n")   
command <- "example.R" # rely only on defaults


###################################################
### code chunk number 6: argparse.Rnw:57-59
###################################################
cat(system(sprintf("%s %s 2>&1", Rscript_executable, command),  intern=TRUE), sep="\n")   
command <- "example.R --mean=10 --sd=10 --count=3" 


###################################################
### code chunk number 7: argparse.Rnw:66-68
###################################################
cat(system(sprintf("%s %s 2>&1", Rscript_executable, command),  intern=TRUE), sep="\n")   
command <- "example.R --quiet -c 4 --generator=\"runif\"" #  same as above but "quiet"


###################################################
### code chunk number 8: argparse.Rnw:77-79
###################################################
cat(system(sprintf("%s %s 2>&1", Rscript_executable, command),  intern=TRUE), sep="\n")   
command <- "example.R --silent -m 5" #  same as above but "quiet"


###################################################
### code chunk number 9: argparse.Rnw:85-87
###################################################
cat(system(sprintf("%s %s 2>&1", Rscript_executable, command),  intern=TRUE), sep="\n")   
command <- "example.R -c 100 -c 2 -c 1000 -c 7" #  same as above but "quiet"


###################################################
### code chunk number 10: argparse.Rnw:93-94
###################################################
cat(system(sprintf("%s %s 2>&1", Rscript_executable, command),  intern=TRUE), sep="\n")   


###################################################
### code chunk number 11: argparse.Rnw:99-100
###################################################
command <- "display_file.R --help" 


###################################################
### code chunk number 12: argparse.Rnw:103-105
###################################################
cat(system(sprintf("%s %s 2>&1", Rscript_executable, command),  intern=TRUE), sep="\n")   
command <- "display_file.R --add_numbers display_file.R" 


###################################################
### code chunk number 13: argparse.Rnw:108-110
###################################################
cat(system(sprintf("%s %s 2>&1", Rscript_executable, command),  intern=TRUE), sep="\n")   
command <- "display_file.R non_existent_file.txt" 


###################################################
### code chunk number 14: argparse.Rnw:113-115
###################################################
cat(system(sprintf("%s %s 2>&1", Rscript_executable, command),  intern=TRUE), sep="\n")   
command <- "display_file.R"


###################################################
### code chunk number 15: argparse.Rnw:119-120
###################################################
cat(system(sprintf("%s %s 2>&1", Rscript_executable, command),  intern=TRUE), sep="\n")   


